import React from 'react';
import BaseImage from '@/components/Base/BaseImage';
import Heading from '@/components/Base/Heading';
import Button from '@/components/Base/Button';
import Container from '@/components/Base/Container';
import Header from '@/components/Base/Header';
import SubscriptionCard from '@/components/SubscriptionCard';
import TestimonialCards from '@/components/TestimonialCards';
import ProcessCard from '@/components/ProcessCard/Index';
import HomeBottomSec from '@/components/HomeBottomSec';
import { FaFacebook, FaInstagram, FaTumblr, FaTwitter, FaYoutube } from 'react-icons/fa';
import Footer from '@/components/Base/Footer/Index';

export default function Home() {
  return (
    <div className='w-full overflow-x-hidden'>
      <div
        className='overflow-x-hidden bg-cover bg-center h-screen w-full flex flex-col justify-between p-5 sm:p-10'
        style={{
          backgroundImage: `url(/assets/images/homebanner.png)`,
          overflow: 'hidden',
          width: '100% !important',
        }}
      >
        <Header />
        <div className='px-4' style={{ flexGrow: 1, display: 'flex', flexDirection: 'column', justifyContent: 'center', alignItems: 'flex-start', maxWidth: '600px', marginTop: '20px' }}>
          <Container>
            <div>
              <div className='flex space-x-4 text-white mb-4'>
                <FaFacebook />
                <FaTwitter />
                <FaYoutube />
                <FaInstagram />
                <FaTumblr />
              </div>
              <Heading level={1} className='text-white font-bold text-2xl sm:text-2xl md:text-3xl lg:text-4xl xl:text-5xl mb-4'>
                Dating for Grown Ups <br /> Make a Real Connection
              </Heading>
              <p className='text-white text-lg mb-6'>Start meeting singles who are ready to commit today.</p>
              <Button
                title='Get Started'
                isPrimary
                className='bg-primary text-white py-3 px-8 border-none rounded-full text-lg hover:bg-purple-800'
              />
            </div>
          </Container>
        </div>
      </div>
      <Container className='bg-[#1A1A1A]'>
        <div className='px-20 grid grid-cols-1 lg:grid-cols-4 items-center justify-center lg:justify-between space-y-4 lg:space-y-0 lg:space-x-8 w-full p-4 lg:pl-10'>
          <div className='col-span-1 flex justify-center lg:justify-start pb-4'>
            <BaseImage
              src='/assets/images/secimg1.png'
              className='-mt-14'
              height={250}
              width={250}
              alt='logo'
              style={{ objectFit: 'cover' }}
            />
          </div>
          <div className='col-span-2 text-center lg:text-left'>
            <Heading level={3} className='text-2xl text-white'>Start your love story</Heading>
            <Heading level={6} className='text-base font-light text-white whitespace-normal'>Qiupid: find love with our dating site!</Heading>
          </div>
          <div className='col-span-1 flex justify-center lg:justify-end'>
            <Button title='Register Now' className='bg-white py-2 px-8 text-lg border-none text-black rounded-full' />
          </div>
        </div>
      </Container>
      <ProcessCard />
      <TestimonialCards />
      <div className='flex justify-center items-center'>
        <BaseImage
          src="/assets/images/Group50.png"
          alt="Image Description"
          width={2080}
          height={420}
          style={{ objectFit: 'cover' }}
        />
      </div>
      <SubscriptionCard />
      <HomeBottomSec />

      <Footer />
    </div>
  );
}
